#
# spec file for package gstreamer-0_10-plugins-ugly
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define wlibcdio 1

%define _name gst-plugins-ugly
%define gst_branch 0.10
# Patched code is built by default.
# Use rpmbuild -D 'BUILD_ORIG 1' to build original code.
# Use rpmbuild -D 'BUILD_ORIG 1' -D 'BUILD_ORIG_ADDON 1' to build patched build plus original as addon.
%define _experimental 1

Name:           gstreamer-0_10-plugins-ugly
Version:        0.10.19
Release:        2.7
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
%if 0%{?BUILD_ORIG}
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-ugly/%{_name}-%{version}.tar.xz
%else
# WARNING: This is not a comment, but the real command to repack source:
#%(bash %{_sourcedir}/%{name}-patch-source.sh %{_name}-%{version}.tar.xz)
Source:         %{_name}-%{version}-patched.tar.xz
%endif
Source1:        %{name}-patch-source.sh
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-ugly-0.10.19-opencore_amr_0_1_3.patch bgo#671123 reddwarf@opensuse.org -- Fix build with opencore-amr 0.1.3
Patch0:         gstreamer-0_10-plugins-ugly-0.10.19-opencore_amr_0_1_3.patch
# PATCH-FEATURE-OPENSUSE gstreamer010-plugins-ugly-patched.patch -- Disable plugins that can't be distributed by openSUSE
Patch1:         gstreamer010-plugins-ugly-patched.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-ugly-0.10.19-new_libcdio.patch git commit 649bd92cd2 seife+obs@b1-systems.com -- fix build with new libcdio
Patch2:         gstreamer-0_10-plugins-ugly-0.10.19-new_libcdio.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-ugly-gtk-doc-1.25.patch dimstar@opensuse.org -- Fix build with gtk-doc 1.25. index.sgml is an internal file and must not be messed with (and with gtk-doc 1.25 it is no longer created).
Patch3:         gstreamer-0_10-plugins-ugly-gtk-doc-1.25.patch
Patch4:         gst-plugins-ugly.a52.patch
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gstreamer-0_10-devel >= 0.10.36
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.36
BuildRequires:  gtk-doc
%if 0%{?wlibcdio} == 1
BuildRequires:  libcdio-devel
%endif
# Broken and disabled by upstream:
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libsidplay1-devel
BuildRequires:  libtool
BuildRequires:  orc-devel >= 0.4.11
BuildRequires:  python
BuildRequires:  python-xml
BuildRequires:  translation-update-upstream
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
%if 0%{?BUILD_ORIG}
BuildRequires:  liba52-devel
BuildRequires:  libmad-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libopencore-amr-devel
BuildRequires:  libtwolame-devel
BuildRequires:  libx264-devel
%endif
# Get minimum gstreamer and gstreamer-plugins-base required versions from configure.ac
%define gstreamer010_plugins_ugly_req %(xzgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /;s/GSTPB_REQ=/gstreamer-0_10-plugins-base >= /' | tr '\\n' ' ')
Requires:       %gstreamer010_plugins_ugly_req
Recommends:     %{name}-lang = %{version}
Enhances:       gstreamer-0_10
# Name up to 10.3:
Provides:       gstreamer010-plugins-ugly = %{version}
Obsoletes:      gstreamer010-plugins-ugly < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-ugly = %{version}
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}
Provides:       patched_subset
%else
Provides:       %{name}-orig-addon = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-ugly-orig-addon = %{version}
Obsoletes:      gstreamer010-plugins-ugly-orig-addon < %{version}
# x264 moved from bad (after OpenSUSE 11.1 & SLE11):
Conflicts:      gstreamer010-plugins-bad < 0.10.13
# xingmux moved from bad (after OpenSUSE 10.3):
Conflicts:      gstreamer010-plugins-bad <= 0.10.5
%endif
%else
Provides:       patched_subset
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.

This package contains well-written plug-ins that can't be shipped in
gstreamer-plugins-good because:
- the license is not LGPL
- the license of the library is not LGPL
- there are possible licensing issues with the code.

%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%package orig-addon
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Productivity/Multimedia/Other
Requires:       %{name} >= %{version}
Supplements:    %{name}
# Name up to 10.3:
Provides:       gstreamer010-plugins-ugly-orig-addon = %{version}
Obsoletes:      gstreamer010-plugins-ugly-orig-addon < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-ugly:%{_libdir}/gstreamer-%{gst_branch}/libgstmad.so
# x264 moved from bad (after OpenSUSE 11.1 & SLE11):
Conflicts:      gstreamer010-plugins-bad < 0.10.13
# xingmux moved from bad (after OpenSUSE 10.3):
Conflicts:      gstreamer010-plugins-bad <= 0.10.5

%description orig-addon
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

This package contains well-written plug-ins that can't be shipped in
openSUSE because of patent problems.

%endif
%endif

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-ugly-doc = %{version}
Obsoletes:      gstreamer010-plugins-ugly-doc < %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch0
%if ! 0%{?BUILD_ORIG}
%patch1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1
translation-update-upstream po gst-plugins-ugly-0.10

%build
NOCONFIGURE=1 ./autogen.sh
%configure\
%if 0%{?_package_name}
        --with-package-name='%{_package_name}' \
%else
        --with-package-name='openSUSE gstreamer-plugins-ugly package' \
%endif
%if 0%{?_package_origin}
        --with-package-origin='%{_package_origin}' \
%else
        --with-package-origin='http://www.opensuse.org/' \
%endif
        --enable-gtk-doc \
%if 0%{?_experimental}
        --enable-experimental \
%endif
        --disable-static
make %{?_smp_mflags} V=1

%install
%makeinstall
rm %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.la
%if ! 0%{?BUILD_ORIG}
for MODULE in \
%{_datadir}/gstreamer-%{gst_branch}/presets/GstAmrnbEnc.prs \
%{_datadir}/gstreamer-%{gst_branch}/presets/GstX264Enc.prs \
%{_libdir}/gstreamer-%{gst_branch}/libgsta52dec.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstamrnb.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstasf.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstiec958.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstlame.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstmad.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2dec.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegaudioparse.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegstream.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so \
; do
    rm -f %{buildroot}$MODULE
done
%endif
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%if 0%{?wlibcdio} == 1
%{_libdir}/gstreamer-%{gst_branch}/libgstcdio.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdlpcmdec.so
#%{_libdir}/gstreamer-%{gst_branch}/libgstdvdnav.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdread.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdsub.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrmdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsid.so
%if 0%{?_experimental}
%{_libdir}/gstreamer-%{gst_branch}/libgstsynaesthesia.so
%endif
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%files orig-addon
%defattr(-, root, root)
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgsta52dec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstamrnb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstamrwbdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstasf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstiec958.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlame.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegstream.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttwolame.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so
%{_datadir}/gstreamer-%{gst_branch}/presets/GstAmrnbEnc.prs
%{_datadir}/gstreamer-%{gst_branch}/presets/GstX264Enc.prs
%endif

%files lang -f %{_name}-%{gst_branch}.lang

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-ugly-plugins-%{gst_branch}

%changelog
* Fri Apr  8 2016 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-ugly-gtk-doc-1.25.patch: Fix build
  with gtk-doc 1.25. index.sgml is an internal file and must not be
  messed with (and with gtk-doc 1.25 it is no longer created).
  (Fate#318572)
* Tue Jun  2 2015 dimstar@opensuse.org
- minor: fix patch tag line (case sensitive).
- Add baselibs.conf to source list.
* Thu May 31 2012 seife+obs@b1-systems.com
- add patch to fix build with new libcdio
- readd libcdio to build
* Tue May 29 2012 davejplater@gmail.com
- Removed libcdio from build
* Thu Mar  1 2012 reddwarf@opensuse.org
- Fix build with opencore-amr 0.1.3
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.10.19:
  + a52dec: don't claim to support upstream renegotiation
  + dvddemux: tweak subtitle stream setup based on dvd language
    codes event
  + dvdreadsrc:
  - fix off by one in cell calculation for the last chapter
  - fix sector search for packed titles; fix sector seeking
  - map subtitle language tag to stream indicated in PGC data
  - take into account first sector of the current title
  + lame, lamemp3enc:
  - ensure parsed output (most muxers need framed mp3 as input)
  - post CODEC and BITRATE tags
  + mad: remove id3tag dependency used by in practice unreachable
    legacy code
  + mpeg2dec:
  - don't treat non-fatal errors as fatal and fix spurious
    failure to decode some files
  - post QoS messages when dropping a frame due to QoS
  + rtpasfdepay: avoid re-sending header; fix fragmented packet
    handling and packet padding
  + twolame: improve output framing and timestamping
  + x264enc:
  - allow renegotiation but prefer current caps
  - negotiate profile, level and output stream-format from
    downstream caps where appropriate
  + Bugs fixed: bgo#391543, bgo#429476, bgo#644233, bgo#653473,
    bgo#655223, bgo#658297, bgo#659252, bgo#660562, bgo#662964,
    bgo#664175, bgo#665101.
- Update gstreamer-0_10-plugins-bad-patch-source.sh (and
  pre_checkin.sh) to deal with xz tarballs.
- Add explicit glib2-devel BuildRequires so it can be versioned.
- Add xz BuildRequires on openSUSE <= 12.1, to be able to
  decompress the xz tarball.
- Remove libid3tag-devel: dependency is gone upstream.
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.18:
  + amrwbdec: avoid stalling on invalid frame
  + asfpacket: don't rely on data from duration extension
  + dvdsubdec:
  - Implement clipping if the video size is smaller than the
    subpicture size
  - Output only a single buffer per subpicture and set the
    correct duration
  + lamemp3enc: implement sinkpad get_caps() function to proxy rate
    and channels restrictions from downstream
  + mad: build the mad plugin even if libid3tag is not available
  + mpeg2dec:
  - do not fail fatally when downstream is unlinked
  - don't deadlock when setting an index
  + mpegstream: increase allowable gap between streams
  + x264enc:
  - allow changing the bitrate and quantitizers dynamically
  - don't register flags with a value of 0
  - implement getcaps function to proxy downstream caps
    restrictions upstream
  - make tag event writable before modifying tag list in place
  - set max bitrate in quality mode
  + Bugs fixed: bgo#539708, bgo#607698, bgo#619136, bgo#621663,
    bgo#639291, bgo#639715, bgo#640272, bgo#641151, bgo#642360,
    bgo#644704, bgo#647709.
* Sun Apr 24 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
- Removed test for obsolete openSUSE version
* Tue Feb  1 2011 davejplater@gmail.com
- Update to version 0.10.16 see NEWS in documentation directory for
  All news since 0.10.16
- Upstream fixes and improvements :
  * asfdemux: Handle new type of DRM'd asf files
  * dvdreadsrc: fix handling of multi-angle streams
  * dvdreadsrc: improve error messages on read errors
  * mad: if gst_pad_alloc_buffer() returns a buffer with the wrong
  size allocate a new one
  * mad: support reverse playback
  * mpeg2dec: convert the position to stream time before answering
  to a position query
  * mpeg2dec: fix position query by trusting upstream
  * mpeg2dec: refactor cropping code to use libgstvideo functions
  * mpeg2dec: use gst_pad_alloc_buffer() when cropping buffers
  * mpegparse: re-fix flow return handling
  * rmdemux: set GST_BUFFER_FLAG_DELTA_UNIT properly
  * x264enc: add a note to the docs about encoder latency and queues
  * x264enc: also accept YV12 input
  * x264enc: Handle codec/encoder tags
  * x264enc: Work around a rate control issue in libx264
  * x264: use pkg-config to locate libx264
  * x264: vbv-buf-capacity should have a minimum of 0
  * xingmux: Don't ignore WRONG_STATE and NOT_LINKED when pushing
  data downstream
  * 539254 : [dvdreadsrc] DVDs with multiple angles switch angles
  during read
  * 571146 : mpeg2dec: possibly uses wrong strides for 4:2:2 and
  4:4:4 YUV with unusual display width or height
  * 599515 : Fix dvb for DVB API 3.3
  * 621465 : [x264enc] Video codec information copied incorrectly to
  output
  * 632549 : [mpeg2dec] answers to position queries are wrong for DVDs
  * 632861 : [x264enc] really bad quality with tune=zerolatency
  * 634840 : x264: use pkg-config to locate dependencies for plugin
  * 635291 : x264enc: " vbv-buf-capacity " property should have
  minimum value of 0
  * 635461 : Crash in mad decoder when changing number of audio
  output channels in Totem while media is running
  * 636107 : x264enc: docs should indicate specifics of using with
  queues
  * 637093 : rmdemux: set GST_BUFFER_FLAG_DELTA_UNIT properly
  * 637932 : realmedia: do not use the pad buffer allocation
  functions in demuxers
  * 639226 : [asfdemux] Doesn't handle new PlayReady DRM files
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml and add instead one on python-xml,
  changelog of package with date 2008-03-21 contains:
  "Don't depend on PyXML and use only XML modules that are shipped
  with python."
* Fri Sep  3 2010 dimstar@opensuse.org
- Update to version 0.10.16:
  + liboil is no longer required, but orc is now required
  + asfdemux:
  - fix playback of files or streams that are shorter than the
    advertised preroll value
  - fix sending eos event for chained asfs in pull mode (exotic)
  - fix playback of files or streams that advertise miniscule
    preroll values
  + lamemp3enc: implement latency query
  + rmdemux: fix playback of sipro audio streams
  + x264enc:
  - refactor code in preparation for presets/tunings
  - add "profile" property (and default to MAIN profile)
  - improve defaults: medium speed/quality preset; auto mode for
    threads
  - add "speed-preset", "tune" and "psy-tune" properties
  - add "option-string" property to specify advanced parameters
  - set time base if needed, fixes visual artifacts
  - add "sliced-threads", "sync-lookahead", "intra-refresh",
    "mb-tree", and "rc-lookahead" properties
  - fix compilation against ancient x264 versions
    (X264_BUILD <= 75)
  - speed up first pass of multi-pass encoding (has no impact on
    quality)
  - fix flushing of delayed frames with new default settings
  + Bugs fixed: bgo#599718, bgo#600412, bgo#607798, bgo#618896,
    bgo#620007, bgo#620344, bgo#622407, bgo#624786, bgo#625557,
    bgo#626577, bgo#627946
- Remove liboil-devel BuildRequires and add orc-devel instead.
- Rebase gstreamer010-plugins-ugly-patched.patch.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Wed Aug 25 2010 vuntz@opensuse.org
- Cleanup latest changes.
- Change gstreamer010 Enhances to gstreamer-0_10.
* Fri Aug 20 2010 reddwarf@opensuse.org
- Remove Valgrind BuildRequires since we are not running the
  checks.
- Remove unneeded BuildRequires: sgml-skel, xorg-x11-devel.
- For BUILD_ORIG, add Buildrequires: libtwolame-devel.
- For BUILD_ORIG, rename Buildrequires: a52dec-devel to
  liba52-devel, amrnb-devel to libopencore-amr-devel, lame to
  libmp3lame-devel, x264-devel to libx264-devel, mad-devel to
  libmad-devel.
- Fix BUILD_ORIG.
- Make build verbose to help post-build checks.
- Run spec-cleaner.
- Pass --disable-static to configure.
- Take ideas from Packman: use --with-package-name and
  - -with-package-origin in configure, make it easy to disable
  experimental plugins.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.10.15:
  + amrnbenc: give element a rank (SECONDARY) so it's autoplugged
  + rmdemux: descramble sipro audio before pushing out
  + x264enc:
  - fix up codec_data / avcC header construction some more
  - Put pixel-aspect-ratio from input into the src pad caps
  + bgo#612995: x264enc: pixel-aspect-ratio does not appear in src
    pad caps
  + bgo#613815: A call in gst/realmedia/rmutils.c discards
    qualifiers from pointer target type
  + bgo#615410: x264 orders NALs differently than x264enc expects
  + bgo#617078: Wrong include paths in amr elements
  + bgo#619776: [x264enc] is unable to do Baseline with recent
    x264
  + bgo#618098: [rmdemux] Add descrambling for Sipro codec
- Rebase gstreamer010-plugins-ugly-patched.patch.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.14:
  + Features of this release:
  - amrwbdec: give decoder a rank so decodebin/playbin will use
    it
  - asfdemux: fix flow aggregation
  - asfdemux: try harder to put sane timestamps and durations on
    buffers
  - asfdemux: accept fragments in a continued packet where the
    subsequent fragments declare a size of 0
  - asfdemux: improve seek behaviour for audio-only files without
    an index
  - asfdemux: careful to avoid crash on bogus data; avoid
    strlen() on NULL pointers
  - asfdemux: add support for chained asfs (push mode)
  - asfdemux: map WM/TrackNumber to GST_TAG_TRACK_NUMBER and
    prefer over WM/Track
  - asfdemux: post bitrate tags
  - mp3parse: seeking fixes: fix non-flushing seek, conserve stop
    time for non-accurate seek
  - rtspreal: memory leak fixes; make config header construction
    valgrind clean
  - rmdemux: fix AC-3 in RealAudio playback; post bitrate tags
  - x264enc: fix up avcC header construction and playback by
    flash players
  - x264enc: Make upstream GstForceKeyUnit thread-safe
  - x264enc: make use of Access Unit delimiters configurable
  - x264enc: adapt to slightly modified x264 API
  - xingmux: fix unaligned memory access, makes things work
    better on ARM/SPARC
  + Bugs fixed: bgo#606662, bgo#563276, bgo#586464, bgo#598761,
    bgo#599095, bgo#599297, bgo#599299, bgo#599333, bgo#599676,
    bgo#600037, bgo#601419, bgo#602280, bgo#602556, bgo#603695,
    bgo#608564, bgo#610432, bgo#611473, bgo#608533, bgo#610089
* Thu Mar  4 2010 dimstar@opensuse.org
- Update to 0.10.13:
  + Improve A52 decoder
  + Add AMR-WB decoder and AMR-NB decoder/encoder based on OpenCore
    codecs
  + ASF playback improvements
  + Improve mp3 parser and seeking
  + Bugs fixed:
  - bgo#519721: [asfdemux] wma tags are not copied when
    converting to another format
  - bgo#584890: AMR plugins based on Opencore codecs
  - bgo#585956: [mp3parse] indexing improvements
  - bgo#590432: It's only possible to build the mad plugin when
    building id3tag as well
  - bgo#591348: AMR plugins should check for opencore-amr .pc
    files
  - bgo#592787: a52dec: Allow liba52 to use djbfft based IMDCT
    transform
  - bgo#596517: x264 element no longer compiles against changed
    upstream API
  - bgo#598272: a52dec leaks input buffers
  - bgo#598370: Properly detect pre-releases
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Aug 12 2009 sbrabec@suse.cz
- Update to version 0.10.11:
  * Real and WMS RTSP improvements
  * Other cleanups and bug fixes
  * Improve ASF file handling
  * Large MPEG video file support
  * Interlacing support for MPEG video
  * New 'lamemp3dec' mp3 encoder element
  * x264enc moved from -bad
  * Remove id3mux in favour of the new id3tag element in -bad
  * Bugs fixed: bgo#401173, bgo#494528, bgo#574461, bgo#576305,
    bgo#579058, bgo#580803, bgo#580869, bgo#581341, bgo#581756,
    bgo#582056, bgo#582375, bgo#583112, bgo#573720, bgo#581464,
    bgo#578524.
* Thu Apr 30 2009 sbrabec@suse.cz
- Don't call autogen in older products and modify patch to work.
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 0.10.11:
  + Migrate twolame element from -bad
  + mp3parse improvements
  + Support scaling in the synaesthsia visualisation
  + Improve realmedia streaming, supporting RDT and pnm://
  + Improved ASF demuxing, including streaming-mode seeking
  + Support for 4:4:4 MPEG-2 video
  + Bugs fixed: bgo#571146, bgo#574461, bgo#454228, bgo#522699,
    bgo#527112, bgo#556714, bgo#560348, bgo#562065, bgo#562086,
    bgo#564885, bgo#568836, bgo#569317, bgo#575068, bgo#335067,
    bgo#571358
- Drop gstreamer010-plugins-ugly-enable-incomplete.patch: we
  stopped applying it since resindvd from -bad should be better.
- Drop gstreamer010-plugins-ugly-dvdnav.patch since we don't build
  dvdnav.
- Use makeinstall.
- Respin gstreamer010-plugins-ugly-patched.patch.
* Fri Jan  2 2009 mboman@suse.de
- Update to version 0.10.10:
  + Bugs fixed: bgo#546859, bgo#536274, bgo#554142, bgo#554150, bgo#556184,
    bgo#556277, bgo#558277, bgo#559569, bgo#559682, bgo#561161, bgo#424070,
    bgo#536226, bgo#558896
  + asfdemux and rmdemux fixes
  + RDT support
  + AMR-NB parser improvements
  + Fix a52dec channel output negotiation
  + Compilation fixes for mad, mpeg2dec
* Thu Nov  6 2008 sbrabec@suse.cz
- Fixed valgrid BuildRequires.
- Disabled incomplete dvdnav, resindvd from -bad should be better.
* Wed Sep 17 2008 jpr@novell.com
- Update to version 0.10.9:
  * Bug fixes in Xing header muxer
  * Real streaming and demuxing improvements
  * Bugs fixed: bgo#476149, bgo#490372, bgo#498004, bgo#542646,
    bgo#548194, bgo#527572, bgo#518676, bgo#518933, bgo#521459,
    bgo#524346, bgo#529488, bgo#532807,bgo#533832
- Build cdio plugin
- Update gstreamer010-plugins-ugly-patched.patch for new configure
  check
* Wed Jul 30 2008 ro@suse.de
- fix build (wrong include path for dvdnav header)
* Tue Apr  8 2008 sbrabec@suse.cz
- Updated to version 0.10.7:
  * Many bug fixes and improvements
  * Accurate seeking support in mp3
  * xingmux moved from -bad
  * RealMedia and WMS RTSP support
  * LAME mp3 encoder fixes
  * Support non-square pixels in ASF
  * rmdemux fixes
  * amrnb fixes
  * dvdreadsrc seeking fix
  * Initial MPEG-2 reverse playback support
  * New element: dvdsubdec
  * Bugs fixed: bgo#358891, bgo#337681, bgo#414988, bgo#427309,
    bgo#439390, bgo#450879, bgo#452025, bgo#454311, bgo#466442,
    bgo#495885, bgo#500467, bgo#500808, bgo#507821, bgo#511497,
    bgo#514297, bgo#515575, bgo#515708, bgo#515725, bgo#516278,
    bgo#516811, bgo#516989, bgo#308312, bgo#508595, bgo#140136,
    bgo#448782, bgo#491305, bgo#504671.
- Fixed Obsoletes (bnc#357153).
* Tue Jan 22 2008 sbrabec@suse.cz
- Rename package according to shared library packaging policy
  (#223286).
- Created lang package.
* Tue Oct 16 2007 sbrabec@suse.cz
- Fixed backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.6:
  * fixes in handling of MPEG streams, Real streams and MP3
  * AMR-NB fixes
  * many other bug-fixes and improvements
- Patch utility without untarring the archive.
* Thu Aug  2 2007 sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
- Repack utility without untarring the archive.
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Wed Apr 18 2007 sbrabec@suse.cz
- Provide source code patching utility and removed NoSource.
* Tue Apr 17 2007 sbrabec@suse.cz
- Distribute DVD LPCM decoder.
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.5:
  * Improved asf playback
  * Fixes to MPEG demuxer
  * Improved Real playback
  * Fix crasher bugs in the MPEG video decoder
  * DVD-read-src improvements
  * mp3 parser fixes
  * Many bugs fixed
- Moved dvdnav and dvdsub to distributable part.
- Support for feature complete build.
- Support for BUILD_ORIG and BUILD_ORIG_ADDON defines (#237351).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.4
  * Lots of bug fixes
* Thu Sep 14 2006 sbrabec@suse.cz
- Disabled AMR-NB by default (#204767).
* Fri Jun 30 2006 sbrabec@suse.cz
- Fixed BuildRequires.
* Mon Jun 26 2006 sbrabec@suse.cz
- Updated to version 0.10.3:
  * dvdsubdec ported
  * fixes in mpeg2dec, asfdemux, mpegdemux, dvddemux, rmdemux,
    mpegparse, amrnb, mad, lame, a52dec
  * bug fixes
* Thu Feb 23 2006 jpr@suse.de
- Update to 0.10.2
- This is GStreamer Ugly Plug-ins 0.10.2, "Season to Taste".
  Features since 0.10.1:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * DVD Title source (dvdreadsrc) ported (DVD Menus in a future release)
  * ASF demuxer ported
  * Fixes for MPEG demuxing
  * Fixes for the MAD MP3 decoder
  * Fixes for the LAME MP3 encoder
  * ID3 tag reading has moved to id3demux in gst-plugins-good
  * Fixes for the Real Media demuxer
  * Various other fixes
  Bugs fixed since 0.10.1:
  * 171528 : SIGFPE in gstasf with http://joule.via.ecp.fr/~lool/debia...
  * 317872 : Cannot demux ASF/WMV files with auxillary (non-audio/vide...
  * 319782 : Lame encoding is broken with vbr=vbr-new and vbr-quality=9
  * 326711 : [mpegdemux] does not negotiate source pads
  * 326734 : [mad] Add 24-bit output support
  * 329575 : misc bugfixes for mad from 0.8
  * 331035 : [asfdemux] port to 0.10
  * 331301 : [mpeg2dec] strides issues when cropping
  * 330844 : mpeg2dec crashes with " cropped " MPEG videos
  * 331579 : Set asfdemux rank to secondary
  * 313838 : totem hangs after playing an amazon sample
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.1.
* Fri Jan  6 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
